loadAPI(17);

host.setShouldFailOnDeprecatedUse(true);

host.defineController("MIDIPLUS", "TINY Series", "0.1", "e050afec-13d2-478d-be39-11eec270eaa9", "MIDIPLUS");

host.defineMidiPorts(1, 1);


host.addDeviceNameBasedDiscoveryPair(["Input Port 0"], ["Output Port 0"]);


function init() {
   transport = host.createTransport();
   host.getMidiInPort(0).setMidiCallback(onMidi0);
   host.getMidiInPort(0).setSysexCallback(onSysex0);
   println("TINY+ initialized!");
}

function onMidi0(status, data1, data2) {
   // NO message
}

function onSysex0(data) {
   switch (data) {
      case "f07f740605f7":
         transport.rewind();
         break;
      case "f07f740604f7":
         transport.fastForward();
         break;
      case "f07f740601f7":
         transport.stop();
         break;
      case "f07f740602f7":
         transport.play();
         break;
      case "f07f740606f7":
         transport.record();
         break;
   }
}

function flush() {
   // TODO: Flush any output to your controller here.
}

function exit() {

}